import { RequestManager, Client, HTTPTransport } from "@open-rpc/client-js";
export class Ethereum {
    constructor(endpoint) {
        this.client = this.getClient(endpoint);
    }
    getClient(url) {
        const transport = new HTTPTransport(url);
        const requestManager = new RequestManager([transport]);
        const client = new Client(requestManager);
        return client;
    }
    async netVersion() {
        const result = await this.client.request({
            method: "net_version",
            params: [],
        });
        return result;
    }
}
