import { TxData, MsgParams } from "web3-provider-engine/subproviders/hooked-wallet";
import { Provider, JSONRPCRequestPayload, JSONRPCErrorCallback } from "ethereum-protocol";
export interface KmsOptions {
    region: string;
    keyIds: string[];
    credential?: AwsCredential;
}
export interface AwsCredential {
    accessKeyId: string;
    secretAccessKey: string;
}
export declare type Network = "mainnet" | "ropsten" | "rinkeby" | "kovan";
export interface NetworkOptions {
    chainName: string;
    chainId: number;
    networkId: number;
}
export declare class KmsProvider implements Provider {
    private readonly engine;
    private readonly signers;
    private cacheAccounts;
    private readonly networkOrNetworkOptions?;
    private ethereum;
    constructor(endpoint: string, kmsOptions: KmsOptions, networkOrNetworkOptions?: Network | NetworkOptions);
    getAccounts(): Promise<string[]>;
    signTransaction(txData: TxData): Promise<string>;
    signMessage(msgParams: MsgParams): Promise<string>;
    send(payload: JSONRPCRequestPayload, callback: JSONRPCErrorCallback): void;
    sendAsync(payload: JSONRPCRequestPayload, callback: JSONRPCErrorCallback): void;
    private resolveSigner;
    private getTransactionOptions;
    private createTransaction;
}
